# 17. Zapytanie: pobierz "SoilDatasets"

Pobierz wszystkie "SoilDatasets" dla wybranego "Field". Zbiory danych można pobierać za pomocą ogólnych zapytań GraphQL takich jak `getFarms` i `getFields` z powiązanego "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" musi zostać wcześniej przesłany.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #wzorzec "<OperationType> <YYYY-mm-DD>"
        operationId #jeśli istnieje
        number #całkowita liczba geofeature'ów
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #kompletne szczegóły dla każdego atrybutu
          name #link do statystyk >> atrybut
          transliteratedName
          fullName #jeśli istnieje
          unit #jeśli istnieje
        }

        createdDate #data i godzina utworzenia encji w GeoPard
        updatedDate #data i godzina ostatniej aktualizacji
        operationType
        operationId
        operationFileDate #data i godzina utworzenia pliku
        operationStartDate #początek zabiegu/operacji
        
        statistics { #rozkład statystyczny dla każdego atrybutu gleby
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nazwa  
        operationId #jeśli istnieje 
        number #całkowita liczba geofeature'ów 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #link do statystyk >> atrybut
          transliteratedName
          fullName #jeśli istnieje
          unit #jeśli istnieje
        }
      
        createdDate #data utworzenia w GeoPard
        updatedDate #data ostatniej aktualizacji w GeoPard
        operationFileDate #data utworzenia pliku (jeśli istnieje)
        operationStartDate #początek zabiegu/operacji (jeśli istnieje)
      
        statistics { #rozkład statystyczny dla każdego atrybutu gleby
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #wizualna reprezentacja
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/17.-zapytanie-pobierz-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
